<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcTooltip Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcTooltip Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcTooltip" --><!-- doxytag: inherits="iBase" -->
<p>Tooltip property class.  
 <a href="structiPcTooltip.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tooltip_8h_source.html">propclass/tooltip.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcTooltip:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcTooltip.png" usemap="#iPcTooltip_map" alt=""/>
  <map id="iPcTooltip_map" name="iPcTooltip_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,67,24"/>
</map>
 </div></div>

<p><a href="structiPcTooltip-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#a96be778689f6ac97f1a5c32d56275b63">Hide</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hide tooltip.  <a href="#a96be778689f6ac97f1a5c32d56275b63"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#a8bacf5aa59217c0fc88d8b587ea26b40">IsVisible</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is tooltip visible?  <a href="#a8bacf5aa59217c0fc88d8b587ea26b40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#aa4c148b2bc0de301634690ab287d8432">SetBackgroundColor</a> (int r, int g, int b)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set background color (use -1, -1, -1 for transparent).  <a href="#aa4c148b2bc0de301634690ab287d8432"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#a8b974ee573c3c4f48851c403efe96c03">SetFont</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFont.html">iFont</a> *font)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the font for the tooltip.  <a href="#a8b974ee573c3c4f48851c403efe96c03"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#afbcf5ddf363bdb023221b07e2ea013cb">SetJustify</a> (celTooltipJustify justify)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the justification of the tooltip.  <a href="#afbcf5ddf363bdb023221b07e2ea013cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#abc9fb07f413c5522ae1f6aa8e8930165">SetText</a> (const char *text)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text to display.  <a href="#abc9fb07f413c5522ae1f6aa8e8930165"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#a2501e0bd181052623582c2883d696dc5">SetTextColor</a> (int r, int g, int b)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set text color.  <a href="#a2501e0bd181052623582c2883d696dc5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTooltip.html#a246d2b30af8dbc03b299f9107379773f">Show</a> (int x, int y)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Show tooltip at given location.  <a href="#a246d2b30af8dbc03b299f9107379773f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Tooltip property class. </p>

<p>Definition at line <a class="el" href="tooltip_8h_source.html#l00038">38</a> of file <a class="el" href="tooltip_8h_source.html">tooltip.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a96be778689f6ac97f1a5c32d56275b63"></a><!-- doxytag: member="iPcTooltip::Hide" ref="a96be778689f6ac97f1a5c32d56275b63" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#a96be778689f6ac97f1a5c32d56275b63">iPcTooltip::Hide</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Hide tooltip. </p>

</div>
</div>
<a class="anchor" id="a8bacf5aa59217c0fc88d8b587ea26b40"></a><!-- doxytag: member="iPcTooltip::IsVisible" ref="a8bacf5aa59217c0fc88d8b587ea26b40" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTooltip.html#a8bacf5aa59217c0fc88d8b587ea26b40">iPcTooltip::IsVisible</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is tooltip visible? </p>

</div>
</div>
<a class="anchor" id="aa4c148b2bc0de301634690ab287d8432"></a><!-- doxytag: member="iPcTooltip::SetBackgroundColor" ref="aa4c148b2bc0de301634690ab287d8432" args="(int r, int g, int b)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#aa4c148b2bc0de301634690ab287d8432">iPcTooltip::SetBackgroundColor</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set background color (use -1, -1, -1 for transparent). </p>
<p>Default yellow. </p>

</div>
</div>
<a class="anchor" id="a8b974ee573c3c4f48851c403efe96c03"></a><!-- doxytag: member="iPcTooltip::SetFont" ref="a8b974ee573c3c4f48851c403efe96c03" args="(iFont *font)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#a8b974ee573c3c4f48851c403efe96c03">iPcTooltip::SetFont</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFont.html">iFont</a> *&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the font for the tooltip. </p>
<p>Defaults to CSFONT_COURIER. </p>

</div>
</div>
<a class="anchor" id="afbcf5ddf363bdb023221b07e2ea013cb"></a><!-- doxytag: member="iPcTooltip::SetJustify" ref="afbcf5ddf363bdb023221b07e2ea013cb" args="(celTooltipJustify justify)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#afbcf5ddf363bdb023221b07e2ea013cb">iPcTooltip::SetJustify</a> </td>
          <td>(</td>
          <td class="paramtype">celTooltipJustify&#160;</td>
          <td class="paramname"><em>justify</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the justification of the tooltip. </p>
<p>Defaults to left-aligned. </p>

</div>
</div>
<a class="anchor" id="abc9fb07f413c5522ae1f6aa8e8930165"></a><!-- doxytag: member="iPcTooltip::SetText" ref="abc9fb07f413c5522ae1f6aa8e8930165" args="(const char *text)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#abc9fb07f413c5522ae1f6aa8e8930165">iPcTooltip::SetText</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the text to display. </p>
<p>Newlines will be properly handled. </p>

</div>
</div>
<a class="anchor" id="a2501e0bd181052623582c2883d696dc5"></a><!-- doxytag: member="iPcTooltip::SetTextColor" ref="a2501e0bd181052623582c2883d696dc5" args="(int r, int g, int b)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#a2501e0bd181052623582c2883d696dc5">iPcTooltip::SetTextColor</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set text color. </p>
<p>Default black. </p>

</div>
</div>
<a class="anchor" id="a246d2b30af8dbc03b299f9107379773f"></a><!-- doxytag: member="iPcTooltip::Show" ref="a246d2b30af8dbc03b299f9107379773f" args="(int x, int y)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTooltip.html#a246d2b30af8dbc03b299f9107379773f">iPcTooltip::Show</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Show tooltip at given location. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="tooltip_8h_source.html">tooltip.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
